Subject: bug#45865: closed (Done)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 20 Jan 2021 19:57:02 +0000

Your bug report

#45865: Local font file installation issue

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45865: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45865
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Done
From: [email-masked]
To: 45865 Done <[email-masked]>
Date: Wed, 20 Jan 2021 20:56:15 +0100 (CET)
List-Id: <debbugs-submit.debbugs.gnu.org>

Subject: Local font file installation issue
From: [email-masked]
To: Bug Guix <[email-masked]>
Date: Thu, 14 Jan 2021 17:37:21 +0100 (CET)
List-Id: <debbugs-submit.debbugs.gnu.org>

To install (Old Persian font), ‌ In the first step, I copied the file to (/home/.local/share/fonts) and then run the command (fc-cache -fv); After that, the IceCat font was automatically changed to the new font! Therefore, the new font directly affects IceCat. And then I changed the font in IceCat manually from "Default (DejaVu Sans)" to "DejaVu Sans"; After that, some texts were displayed in English, and some in Old Persian! [1]
Finally I downloaded the DejaVu font and put it in (/home/.local/share/fonts); Now the font is on Default (DejaVu), and the problem is almost solved.

Old Persian font: https://www.fontspace.com/category/old-persian
(This font is not packaged in Guix)

To solve this problem, should all fonts be copied to "/home/.local/share/fonts"?